Subject: bug#827: 23.0.60; bootstrap error: nsfont.m

From: Clifford Wulfman <[email-masked]>
Date: Fri, 29 Aug 2008 16:23:24 -0400

sudo make distclean; cvs -z3 up -d
./configure --with-ns --disable-ns-self-contained; make bootstrap
[...]
gcc -c  -Demacs -DHAVE_CONFIG_H  -I. -I/Users/cliff/src/emacs/src - 
Dtemacs   -I/opt/local/include/dbus-1.0 -I/opt/local/lib/dbus-1.0/ 
include -g -O2 -Wno-pointer-sign  fringe.c
nsfont.m: In function =2018nsfont_char_width=2019:
nsfont.m:481: warning: =2018widthOfString:=2019 is deprecated  
(declared at /System/Library/Frameworks/AppKit.framework/Headers/ 
NSFont.h:216)
nsfont.m: In function =2018nsfont_open=2019:
nsfont.m:726: warning: =2018widthOfString:=2019 is deprecated  
(declared at /System/Library/Frameworks/AppKit.framework/Headers/ 
NSFont.h:216)
nsfont.m: In function =2018nsfont_draw=2019:
nsfont.m:907: error: =2018struct glyph_string=2019 has no member named  
=2018gidx=2019
nsfont.m:908: error: =2018struct glyph_string=2019 has no member named  
=2018gidx=2019
nsfont.m:914: error: =2018struct glyph_string=2019 has no member named  
=2018gidx=2019
nsfont.m:1097: error: =2018struct glyph_string=2019 has no member  
named =2018gidx=2019
nsfont.m:1103: error: =2018struct glyph_string=2019 has no member  
named =2018gidx=2019
make[2]: *** [nsfont.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[1]: *** [src] Error 2
make: *** [bootstrap] Error 2

In GNU Emacs 23.0.60.1 (i386-apple-darwin9.4.0, *Step 9.0)
  of 2008-08-28 on hagen.Princeton.EDU
Windowing system distributor `Apple', version 49.46.48
configured using `configure  '--with-ns' '--disable-ns-self-contained''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: nil
   value of $XMODIFIERS: nil
   locale-coding-system: nil
   default-enable-multibyte-characters: t

Major mode: nXML

Minor modes in effect:
   diff-auto-refine-mode: t
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
C-x C-f <backspace> <backspace> / o p t / l o <tab>
p r o <tab> j <backspace> d i g l <tab> - e <tab> /
w e <tab> <backspace> <backspace> s r <tab> w e <tab>
s t y l e s h <tab> c o m m <tab> <return> <escape>
x r e v <backspace> c o v e r SPC t SPC f SPC <return>
y e s <return> C-n C-a C-SPC <escape> x n x m l SPC
m o d e <return> <escape> > <return> <return> <return>
< / C-x C-s <menu-bar> <help-menu> <send-emacs-bug
-report>

Recent messages:
Loading `slime': old-style backquotes detected!
Loading /Users/cliff/elisp/org-setup.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.
common.xsl has auto save data; consider M-x recover-this-file
Loading vc-svn...done
Mark set
Using schema /usr/local/share/xml/schema/xslt20.rnc
Mark set
Missing end-tag [4 times]
Wrote /opt/local/projects/diglib-exist/src/webapp/stylesheets/common.xsl